Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Class DHPrivateKey

`java.lang.Object
oracle.security.crypto.core.DHKey
oracle.security.crypto.core.DHPrivateKey`

All Implemented Interfaces:
  ASN1Object, java.lang.Cloneable, java.io.Externalizable, Key, PrivateKey, java.io.Serializable, Streamable

public class DHPrivateKey
extends DHKey
implements PrivateKey

*** For internal use only *** A Diffie-Hellman private key.

The Diffie-Hellman private key contains a `DHParams` and the private key value x. The encoding is based on the PKCS #8 type PrivateKeyInfo.

Status: Provisional (may be changed in future releases.)

See Also:
  `DHKey`, `DHPublicKey`, `DHParams`, Serialized Form

Field Summary

Fields inherited from class oracle.security.crypto.core.DHKey
`params`

Constructor Summary
`DHPrivateKey()` Constructs a new, uninitialized instance.
`DHPrivateKey(java.math.BigInteger x, DHParams params)` Constructs a new instance with the give value of x and `DHParams`.
`DHPrivateKey(java.io.File f)` Constructs a new instance by reading its encoding from the given file.
`DHPrivateKey(java.io.InputStream is)` Constructs a new instance by reading its encoding from the given InputStream.

Method Summary
`java.lang.Object` | `clone()` Performs a deep clone of the Key instance.
`void` | `erase()` Erases the key material, making the key un-usable.
`AlgorithmIdentifier` | `getAlgID()` Returns the algorithm identifier for this key.
`ASN1Object` | `getContents()` Returns the contents of this key.
`java.lang.String` | `getFormat()` Returns a string which indicates the format of this object's encoding.
`java.math.BigInteger` | `getX()` Gets the private key value x.
`void` | `initialize(AlgorithmIdentifier algID, ASN1Object contents)` Initializes this instance from the given algorithm paramters and key contents.
`void` | `input(java.io.InputStream is)` Inputs a `DHPrivateKey` object by reading its encoding from the given input stream.
`int` | `length()` Gets the length of the encoding of this object.
`void` | `output(java.io.OutputStream os)` Outputs the ASN1 encoding of this object to a given output stream.
`void` | `setParams(DHParams params)` Sets the parameters for the Diffie-Hellman key.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.core.DHKey
`getAlgorithm, getBitLength, getEncoded, getParams, readExternal, writeExternal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.security.crypto.core.Key
`getAlgorithm, getBitLength, getEncoded`

Constructor Detail

### DHPrivateKey

    public DHPrivateKey()

  Constructs a new, uninitialized instance.

### DHPrivateKey

    public DHPrivateKey(java.math.BigInteger x,
                        DHParams params)

  Constructs a new instance with the give value of x and `DHParams`.
Parameters:
  `x` - x
  `params` - the `DHParams` of this `DHPrivateKey`

### DHPrivateKey

    public DHPrivateKey(java.io.InputStream is)
                 throws java.io.IOException

  Constructs a new instance by reading its encoding from the given InputStream.
Parameters:
  `is` - the InputStream for the DHPrivateKey object
Throws:
  `java.io.IOException` - If an input exception occured.

### DHPrivateKey

    public DHPrivateKey(java.io.File f)
                 throws java.io.IOException

  Constructs a new instance by reading its encoding from the given file.
Parameters:
  `f` - the file stores a DHPrivateKey object
Throws:
  `java.io.IOException` - If an input exception occured.

Method Detail

### initialize

    public void initialize(AlgorithmIdentifier algID,
                           ASN1Object contents)
                    throws AlgorithmIdentifierException,
                           InvalidInputException

  Description copied from interface: `PrivateKey`
  Initializes this instance from the given algorithm paramters and key contents.
  Specified by:
    `initialize` in interface `PrivateKey`
  Throws:
    `AlgorithmIdentifierException`
    `InvalidInputException`

### getAlgID

    public AlgorithmIdentifier getAlgID()

  Description copied from interface: `PrivateKey`
  Returns the algorithm identifier for this key.
  Specified by:
    `getAlgID` in interface `PrivateKey`

### getContents

    public ASN1Object getContents()

  Description copied from interface: `PrivateKey`
  Returns the contents of this key.
  Specified by:
    `getContents` in interface `PrivateKey`

### getFormat

    public java.lang.String getFormat()

  Returns a string which indicates the format of this object's encoding.
  Specified by:
    `getFormat` in interface `Key`
  Returns:
    "PKCS#8"

### erase

    public void erase()

  Description copied from interface: `Key`
  Erases the key material, making the key un-usable.

  Keys can be erased multiple times with no consequence.

  Specified by:
    `erase` in interface `Key`

### clone

    public java.lang.Object clone()

  Description copied from interface: `Key`
  Performs a deep clone of the Key instance.
  Specified by:
    `clone` in interface `Key`
  Specified by:
    `clone` in class `DHKey`

### setParams

    public void setParams(DHParams params)

  Description copied from class: `DHKey`
  Sets the parameters for the Diffie-Hellman key. This method is used to set Diffie-Hellman parameters common to a group of users which are known from application context.
  Specified by:
    `setParams` in class `DHKey`
  Parameters:
    `params` - An instance of `DHParams`.

### getX

    public java.math.BigInteger getX()

  Gets the private key value x.
  Returns:
    The private key value x.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Returns:
    A string representation of this object.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Inputs a `DHPrivateKey` object by reading its encoding from the given input stream.
  Specified by:
    `input` in interface `Streamable`
  Parameters:
    `is` - The input stream from which this object will be read
  Throws:
    `java.io.IOException` - If an input exception occured.

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Outputs the ASN1 encoding of this object to a given output stream.
  Specified by:
    `output` in interface `Streamable`
  Parameters:
    `os` - The output stream to which the encoding of this object will be written.
  Throws:
    `java.io.IOException` - If an output exception occured.

### length

    public int length()

  Gets the length of the encoding of this object.
  Specified by:
    `length` in interface `Streamable`
  Returns:
    The length of the ASN1 encoding of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.